Bug 1869892 - Release-blocking Fedora 33 images have Fedora 32 backgrounds
Summary: Release-blocking Fedora 33 images have Fedora 32 backgrounds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 33
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ben Cotton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa AcceptedBlocker
Depends On: 1868290 1872054
Blocks: BetaBlocker, F33BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2020-08-18 23:05 UTC by Adam Williamson
Modified: 2020-09-10 01:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-10 01:43:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2020-08-18 23:05:44 UTC
I know the design team is working on this, but for bureaucracy purposes, I'm filing this so we have a Beta blocker bug for it.

At present, the release-blocking desktops for Fedora 33 (KDE and GNOME) are both still using Fedora 32 backgrounds. This blocks Beta, under the Basic criterion "It must be possible to run the default web browser and a terminal application from all release-blocking desktop environments" - https://fedoraproject.org/wiki/Basic_Release_Criteria#Desktop_background . As usual, we need to get the f33-backgrounds package approved - that's https://bugzilla.redhat.com/show_bug.cgi?id=1868290 - then update desktop-backgrounds and some KDE packages in order for the new backgrounds to actually show up.

Comment 1 Adam Williamson 2020-08-18 23:10:35 UTC
Oh yeah, this is actually an automatic blocker - "The default desktop background in a release-blocking desktop being the same as one of the last two stable releases", https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers - so marking as accepted.

Comment 2 Luya Tshimbalanga 2020-08-19 01:15:21 UTC
Speaking about desktop-backgrounds, I pushed the updated spec (https://src.fedoraproject.org/rpms/desktop-backgrounds/c/8d66ffe52a553bddac9794eb0a09605f8944955d?branch=master) file to the main branch ready to build once f33-backgrounds package is approved and feel free to build it in case I am able to respond quickly.

Comment 3 Luya Tshimbalanga 2020-08-20 02:07:24 UTC
f33-backgrounds is now available. I tested on the workstation edition along its Design Suite Labs variant without issue. See #1868290 for more info.

Comment 4 Adam Williamson 2020-08-20 18:33:52 UTC
Branched compose failed on the whole "Koji ran out of disk space" thing. A new one is running now. We'll be able to check status of GNOME and KDE with that.

One issue was pointed out by Alessio - the GNOME XML has <options>scaled</options>, <options>zoom</options> would probably be better...

scaled: https://alciregi.fedorapeople.org/screenshot/f33background.png
zoom: https://alciregi.fedorapeople.org/screenshot/f33background2.png

Comment 5 Adam Williamson 2020-08-21 16:34:52 UTC
So, as of Fedora-33-20200821.n.0 , Workstation uses the new background with 'zoom' (good!) but KDE still has the F32 background. We need the magic KDE bits to be updated, Rex. I'll file a child bug for that.

Comment 6 Luya Tshimbalanga 2020-08-21 23:12:10 UTC
The modification for KDE  default wallpaper is located upstream on Makefile (https://github.com/fedoradesign/backgrounds/blob/master/default/Makefile) both master and f33-backgrounds branches. Improvement welcome.
Once the change is done on the master branch, simply cherry-pick on f33-backgrounds.

Master: https://github.com/fedoradesign/backgrounds
f33-background branch: https://github.com/fedoradesign/backgrounds/tree/f33-backgrounds

Comment 7 Adam Williamson 2020-08-22 00:16:16 UTC
Luya: what I'm saying is we need some changes made to KDE packages in order to adopt the new backgrounds. GNOME's stuff is set up such that nothing outside of desktop-backgrounds needs to be touched on a new release, but for KDE, we have to bump some package or other. Per https://bugzilla.redhat.com/show_bug.cgi?id=1812293#c7 , it looks like a symlink in kde-settings needs updating.

Comment 8 Luya Tshimbalanga 2020-08-22 01:12:58 UTC
Got it. It will be great having a way to automatically update a symlink on the KDE side.

Comment 9 Ben Cotton 2020-09-09 13:51:45 UTC
Setting to verified now that KDE is using the correct background.

Comment 10 Adam Williamson 2020-09-10 01:43:24 UTC
We can go ahead and close this now the update is pushed. Yay.


Note You need to log in before you can comment on or make changes to this bug.